
From: Francois Romieu <romieu@fr.zoreil.com>

CCR1 register voodoo: asic handles itself the flow control.



 25-akpm/drivers/net/wan/dscc4.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/net/wan/dscc4.c~dscc4-6 drivers/net/wan/dscc4.c
--- 25/drivers/net/wan/dscc4.c~dscc4-6	Fri Aug 15 13:54:22 2003
+++ 25-akpm/drivers/net/wan/dscc4.c	Fri Aug 15 13:54:22 2003
@@ -846,8 +846,9 @@ static void dscc4_init_registers(struct 
 	 * No address recognition/crc-CCITT/cts enabled
 	 * Shared flags transmission disabled - cf errata DS5 p.11
 	 * Carrier detect disabled - cf errata p.14
+	 * FIXME: carrier detection/polarity may be handled more gracefully.
 	 */
-	scc_writel(0x021c8000, dpriv, dev, CCR1);
+	scc_writel(0x02408000, dpriv, dev, CCR1);
 
 	/* crc not forwarded - Cf errata DS5 p.11 */
 	scc_writel(0x00050008 & ~RxActivate, dpriv, dev, CCR2);

_
